.logo{
    padding-left: 25px;
    width: 80px;
    img{
        width: 100%;
        animation: logo_spin linear infinite 12s;
    }
}

.navbar-container{
    @include FlexDisplayed(space-between, center);
    padding: 10px 0;
}

.navbar__{
    position: relative;
    width: 50%;
}

.btn-burger{
    @include FlexDisplayed(center, center);
    width: 50px;
    height: 50px;
    display: none;
}

.btn-burger-line{
    display: none;
    height: 4px;
    width: 30px;
    background-color: #fff;
    border-radius: 12px;
    position: relative;
    &::before, 
    &::after{
        content: '';
        background-color: #fff;
        border-radius: 12px;
        height: 4px;
        width: 30px;
        position: absolute;
    }
    &::before{
        transform: translateY(-10px);
    }
    &::after{
        transform: translateY(10px);
    }
}

.navbar__ul{
    @include FlexDisplayed(space-around, initial);
    list-style: none;
    padding: 0 25px;
    row-gap: 15px;
}

.search-box{
    @include FlexDisplayed(center, center);
    gap: 10px;
    color: #fff;
    background-color: #000;
    border-radius: 10px;
}

.search-box__icon{
    padding: 10px;
    cursor: pointer;
}

.search-box__input{
    border: none;
    width: 75%;
    border-radius: 10px;
    font-size: clamp(.75em, 1vw, 3em);
    max-width: 0;
    padding: 0;
    transition: max-width ease .4s;
}

.search-box__input.active{
    padding: 2px 10px;
    max-width: 250px;
}

.search-box__dotted-icon{
    padding: 5px;
    cursor: pointer;
}

.navbar__li{
    cursor: pointer;
    color: #fff;
}

.rated-search__div{
    @include FlexDisplayed(center, center);
    column-gap: 5px;
    max-width: 0;
    overflow: hidden;
    transition: max-width ease .4s;
}

.rated-search__div.active{
    padding: 0 10px;
    max-width: 250px;
}

.rated-search-icon-star__div{
    @include FlexDisplayed(center, center);
    flex-direction: row-reverse;
    input{
        display: none;
        &:not(:checked) ~ label:hover,
        &:not(:checked) ~ label:hover ~ label svg{
            color: #1f9cff;
        }
        &:checked ~ label{
            color: #1f9cff;
        }
    }
    label{
        @include FlexDisplayed(center, center);
        cursor: pointer;
        column-gap: 25px;
        transition: color ease .4s;
    }
}

@media only screen and (max-width: 680px){
    .logo{
        width: 60px;
    }
    .navbar__{
        width: auto;
    }
    .btn-burger{
        display: flex;
    }
    .btn-burger-line{
        display: initial;
    }
    .navbar__ul{
        flex-direction: column;
        position: absolute;
        background-color: teal;
        top: calc(100% + 10px);
        right: 0;
        max-height: 0;
        overflow: hidden;
        z-index: 1;
        transition: max-height ease .4s;
    }
    .btn-burger.active + .navbar__ul{
        max-height: 300px;
    }
    .navbar__li{
        padding-bottom: 10px;
    }
    .search-box{
        width: 65%;
        padding: 0 15px;
    }

    .rated-search__div{
        max-width: 0;
        padding: 0;
        overflow: hidden;
    }

    .rated-search__div.active{
        padding: 0 10px;
        max-width: 300px;
    }
}